package PoorBooru::Backend;
use v5.36;
use strict;
use warnings;

use Mojo::Base "Mojolicious";
use SeaweedFS::Client;

sub startup ($self)
{
	$self->moniker("poorbooru-backend");

	my $config = $self->plugin("Config");
	$self->secrets($config->{secrets});

	$self->helper(seaweed => sub {
		state $client =
		    SeaweedFS::Client->new($config->{seaweedfs_master})
	});

	my $r = $self->routes;

	$r->get("/")->to("gallery#index");

	$r->get("/tags")->to("tags#list");
	$r->get("/tag/:tag_id_or_name")->to("tags#show");
}

1;
